ImagerProperties

com.hsm.barcode

## Class ImagerProperties

- java.lang.Object
- - com.hsm.barcode.ImagerProperties

-     public class ImagerProperties
      extends java.lang.Object

  Imager properties of connected engine.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `AimerColor` Color of aimer
    `int` | `AimerType` Type of aimer
    `int` | `AimerXoffset` Aimer X coordinate offset
    `int` | `AimerYoffset` Aimer Y coordinate offset
    `int` | `BitsPerPixel` Bits per pixel of image
    `int` | `ColorFormat` Color format of image
    `int` | `Columns` Width of image
    `int` | `EngineID` Engine ID of connected engine
    `java.lang.String` | `EnginePartNum` Engine part number
    `java.lang.String` | `EngineSerialNum` Engine serial number
    `int` | `FirmwareEngineID` Engine Firmware ID
    `int` | `IllumColor` Color of illumination
    `int` | `NumBuffers` Number of buffers
    `int` | `Optics` Optics of connected engine
    `int` | `PSOCMajorRev` Major PSOC revision
    `int` | `PSOCMinorRev` Major PSOC revision
    `int` | `Rotation` Image rotation value
    `int` | `Rows` Height of image
    `int` | `Size` Size of this structure
    `int` | `YDepth` Y depth of image

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImagerProperties()` Imager Properties structure containing information about connected engine

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Size

          public int Size

      Size of this structure

    - #### EngineID

          public int EngineID

      Engine ID of connected engine

    - #### Rows

          public int Rows

      Height of image

    - #### Columns

          public int Columns

      Width of image

    - #### BitsPerPixel

          public int BitsPerPixel

      Bits per pixel of image

    - #### Rotation

          public int Rotation

      Image rotation value

    - #### AimerXoffset

          public int AimerXoffset

      Aimer X coordinate offset

    - #### AimerYoffset

          public int AimerYoffset

      Aimer Y coordinate offset

    - #### YDepth

          public int YDepth

      Y depth of image

    - #### ColorFormat

          public int ColorFormat

      Color format of image

    - #### NumBuffers

          public int NumBuffers

      Number of buffers

    - #### PSOCMajorRev

          public int PSOCMajorRev

      Major PSOC revision

    - #### PSOCMinorRev

          public int PSOCMinorRev

      Major PSOC revision

    - #### EngineSerialNum

          public java.lang.String EngineSerialNum

      Engine serial number

    - #### FirmwareEngineID

          public int FirmwareEngineID

      Engine Firmware ID

    - #### AimerType

          public int AimerType

      Type of aimer

    - #### AimerColor

          public int AimerColor

      Color of aimer

    - #### IllumColor

          public int IllumColor

      Color of illumination

    - #### Optics

          public int Optics

      Optics of connected engine

    - #### EnginePartNum

          public java.lang.String EnginePartNum

      Engine part number

  - ### Constructor Detail

    - #### ImagerProperties

          public ImagerProperties()

      Imager Properties structure containing information about connected engine